JNLP IBM IMM and Java 21

The public knowledge pool and discussion forum of the OWS community. Do not post confidential information here!
beremour
Posts: 3
Joined: 10 Oct 2023, 15:21

JNLP IBM IMM and Java 21

Post by beremour »

OWS 1.9 and Java 21 seem to break remote consoles on IBM and Fuji servers. Can you please consider attached stage log files. Is it possible to downgrade to Java 17 ? or may be older..

Cache and JVM list is:
icedtea-web-cache.png
icedtea-web-cache.png (494.51 KiB) Viewed 3520 times
Attachments
viewer.jnlp.7z
(864 Bytes) Downloaded 342 times
stage2.log.7z
(3.2 KiB) Downloaded 322 times
stage1.log.7z
(1.38 KiB) Downloaded 326 times

Janak Mulani
Posts: 743
Joined: 24 Mar 2020, 13:37

Re: JNLP IBM IMM and Java 21

Post by Janak Mulani »

Hi,

Your application is started by OWS using Java 21.

In stage2 log there is an exception while running your jnlp application:

Code: Select all

java.lang.IllegalAccessError: superclass access check failed: class com.avocent.app.c.a.a (in unnamed module @0x3a46bb1c) cannot access class com.apple.eawt.Application (in module java.desktop) because module java.desktop does not export com.apple.eawt to unnamed module @0x3a46bb1c
This means that the class com.apple.eawt.Application is no longer available on the class path of the application.

Have you tried running your application from java commandline with Java 21 with all jars on classpath and the necessary vm args?

> <j2se version="1.6+ 1.5+ " />
You have specified 1.6+ in your jnlp.

You have a choice of specifying with which JVM your application will start by using the JVM Manager in itw-settings https://openwebstart.com/docs/OWSGuide. ... management. You can choose not to download latest JVM but use the locally installed JVM with which your app is working.

Post Reply